import './globals.css'
import type {Metadata} from 'next'
import {Inter} from 'next/font/google'
import React from "react";
import {Footer, NavBar} from "@/app/util/wrapping_objects";
import styles from "./util/wrapping_objects.module.css";

const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'Lil Judd',
  description: 'The Discord bot with unique features.',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <body className={inter.className}>
      <NavBar/>
      <div className={styles.contentDiv}>
          {children}
      </div>
      <Footer/>
      </body>
    </html>
  )
}
